package com.ruoyi.brewery.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.brewery.mapper.WyBreweryTagPrintTemplateMapper;
import com.ruoyi.brewery.domain.WyBreweryTagPrintTemplate;
import com.ruoyi.brewery.service.IWyBreweryTagPrintTemplateService;

/**
 * 品牌方标签套打模板Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-02-15
 */
@Service
public class WyBreweryTagPrintTemplateServiceImpl implements IWyBreweryTagPrintTemplateService 
{
    @Autowired
    private WyBreweryTagPrintTemplateMapper wyBreweryTagPrintTemplateMapper;

    /**
     * 查询品牌方标签套打模板
     * 
     * @param id 品牌方标签套打模板主键
     * @return 品牌方标签套打模板
     */
    @Override
    public WyBreweryTagPrintTemplate selectWyBreweryTagPrintTemplateById(Long id)
    {
        return wyBreweryTagPrintTemplateMapper.selectWyBreweryTagPrintTemplateById(id);
    }

    /**
     * 查询品牌方标签套打模板列表
     * 
     * @param wyBreweryTagPrintTemplate 品牌方标签套打模板
     * @return 品牌方标签套打模板
     */
    @Override
    public List<WyBreweryTagPrintTemplate> selectWyBreweryTagPrintTemplateList(WyBreweryTagPrintTemplate wyBreweryTagPrintTemplate)
    {
        return wyBreweryTagPrintTemplateMapper.selectWyBreweryTagPrintTemplateList(wyBreweryTagPrintTemplate);
    }

    /**
     * 新增品牌方标签套打模板
     * 
     * @param wyBreweryTagPrintTemplate 品牌方标签套打模板
     * @return 结果
     */
    @Override
    public int insertWyBreweryTagPrintTemplate(WyBreweryTagPrintTemplate wyBreweryTagPrintTemplate)
    {
        wyBreweryTagPrintTemplate.setCreateTime(DateUtils.getNowDate());
        return wyBreweryTagPrintTemplateMapper.insertWyBreweryTagPrintTemplate(wyBreweryTagPrintTemplate);
    }

    /**
     * 修改品牌方标签套打模板
     * 
     * @param wyBreweryTagPrintTemplate 品牌方标签套打模板
     * @return 结果
     */
    @Override
    public int updateWyBreweryTagPrintTemplate(WyBreweryTagPrintTemplate wyBreweryTagPrintTemplate)
    {
        wyBreweryTagPrintTemplate.setUpdateTime(DateUtils.getNowDate());
        return wyBreweryTagPrintTemplateMapper.updateWyBreweryTagPrintTemplate(wyBreweryTagPrintTemplate);
    }

    /**
     * 批量删除品牌方标签套打模板
     * 
     * @param ids 需要删除的品牌方标签套打模板主键
     * @return 结果
     */
    @Override
    public int deleteWyBreweryTagPrintTemplateByIds(Long[] ids)
    {
        return wyBreweryTagPrintTemplateMapper.deleteWyBreweryTagPrintTemplateByIds(ids);
    }

    /**
     * 删除品牌方标签套打模板信息
     * 
     * @param id 品牌方标签套打模板主键
     * @return 结果
     */
    @Override
    public int deleteWyBreweryTagPrintTemplateById(Long id)
    {
        return wyBreweryTagPrintTemplateMapper.deleteWyBreweryTagPrintTemplateById(id);
    }
}
